Bug 100197 - Scenario Hyperlinks do not work.
Summary: Scenario Hyperlinks do not work.
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Scenarios Hyperlink-Calc
  Show dependency treegraph
 
Reported: 2016-06-02 18:51 UTC by mrelwood
Modified: 2021-11-02 04:10 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Guide how to reproduce the bug is also in the .ods file itself. (13.45 KB, application/vnd.oasis.opendocument.spreadsheet)
2016-06-02 18:51 UTC, mrelwood
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mrelwood 2016-06-02 18:51:38 UTC
Created attachment 125461 [details]
Guide how to reproduce the bug is also in the .ods file itself.

Hyperlinks to Scenarios in the same worksheet doesn't work in LO Calc 5.1.3.2.

Create a Scenario, and make a clickable Hyperlink for the Scenario in the same document. The Scenario can be recalled from the Navigator, but the links in the document itself will not work, wether they are created by dragging from the Navigator, or by Cmd K (ctrl K in windows).

In the sample document I created a Scenario with empty yellow cells. To reproduce the issue:

1. Type anything in any yellow cell(s).
2. Cmd click (ctrl click in windows) the hyperlink "Clear_Yellows".
 - Nothing happens.
 - This should have loaded the Scenario in which the yellow cells are empty.
3. Open the Navigator (F5) and click the "Scenarios" button.
4. Double-click the Scenario "Clear_Yellows".
 - The Scenario is now loaded and the yellow cells are cleared.


This bug causes data loss in two situations:

DATA LOSS 1 (permanent): If I enter data in the yellow fields, save the document as .xslx and reopen, the data that was entered is lost. I guess the empty Scenario was force-loaded overwriting the data that was in the cells when saving.

DATA LOSS 2 (possible): If I save the Spreadsheet as .xls and reopen, clicking on the link creates a new Sheet with the Scenario data. The Navigator still shows the Scenario available for the original sheet, but if the second sheet is deleted, the Scenario for the first sheet is deleted as well.

-------------------

Using a MacBook Pro 15" 2010 running OSX 10.11.5.
Reproduced the bug in LO 5.1.1.3, 5.1.3.2 and LODev May-7-2016:
master-2016-05-07_00.24.03_LibreOfficeDev_5.2.0.0.alpha1_MacOS_x86-64

NOTE: The latest snapshot build is slightly different:
(master-2016-06-01_00.32.05_LibreOfficeDev_5.3.0.0.alpha0_MacOS_x86-64)
- A Hyperlink created in the new LODev by dragging from Navigator opens the document at the SAVED state in a new window, unless I save the document first. Then it does nothing. This seems to happen with .odt and .xlsx, but not .xls.
Comment 1 Theodore Matula Jr. 2016-06-02 22:58:26 UTC
I can confirm the existence of this bug on Windows 10 in version 5.2.0.0alpha1+. It seems that Hyperlinks to scenarios do not do anything, but scenarios loaded through the navigator (F5) work as intended. In addition, I can also confirm that if a sheet with a scenario in it is saved as a .xslx file, then any non-scenario text written on a scenario will be overwritten with the scenario text.

Steps to reproduce:
1. Open a new Calc Sheet
2. Highlight Cells A1-A5 and click Tools->Scenarios
3. Name the Scenario and set the display border to whatever you want, then click OK
4. Click cell B1, then press the hyperlink button (CTRL+K)
5. Click the Document button on the left, then click the button next to "Target in Document"
6. Expand "Sheets", select your scenario, then click Apply. 
7. Under Text, Name the Hyperlink and press OK
8. Type words in cells A1-A5
9. CTRL-Click the Hyperlink

Expected result:
The Hyperlink will reset the selected cells to their status in the saved scenario

Actual result:
The hyperlink does not do anything. the sheet is unchanged

Version: 5.2.0.0.alpha1+
Build ID: cc1a0ba927ad6f85103059aa8e6108017f436304
CPU Threads: 8; OS Version: Windows 6.2; UI Render: default; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2016-05-17_02:31:19
Locale: en-US (en_US)
Comment 2 eisa01 2018-03-17 10:22:48 UTC
Still present, setting OS to all as it was confirmed on Windows in comment #2

Also present in 3.3, so inherited from OOo

Version: 6.0.0.0.alpha1+
Build ID: 15dce20e8b97dbd0179f01910ca4d0027e80ff4e
CPU threads: 2; OS: Mac OS X 10.12.6; UI render: default; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2017-10-20_06:46:46
Locale: en-US (en_US.UTF-8); Calc: group
Comment 3 QA Administrators 2019-10-28 03:28:55 UTC Comment hidden (obsolete)
Comment 4 eisa01 2019-11-02 15:55:16 UTC
This is still present

Version: 6.3.0.4 (x64)
Build ID: 057fc023c990d676a43019934386b85b21a9ee99
CPU threads: 2; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded
Comment 5 QA Administrators 2021-11-02 04:10:04 UTC
Dear mrelwood,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug